﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.TestPapers
{
    /// <summary>
    /// 抽题规则
    /// </summary>
    [Description("抽题规则")]
    public class ExtractRuleDto : ActionRequest
    {
        /// <summary>
        /// 规则名称
        /// </summary>
        [Description("规则名称")]
        public string Name { get; set; }

        /// <summary>
        /// 规则编号
        /// </summary>
        [Description("规则编号")]
        public string Code { get; set; }

        /// <summary>
        /// 规则类型
        /// </summary>
        [Description("规则类型")]
        public int Type { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        public string Remark { get; set; }

        /// <summary>
        /// 抽题标签
        /// </summary>
        [Description("抽题标签")]
        public List<RuleTagDto> RuleTagDtos { get; set; }

        /// <summary>
        /// 标签试题数
        /// </summary>
        [Description("标签试题数")]
        public List<TagQuestionDto> TagQuestionDtos { get; set; }
    }
}
