﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Trains
{
    /// <summary>
    /// 培训记录答案
    /// </summary>
    [Description("培训记录答案")]
    public class TrainRecordAnswerDto:ActionRequest
    {
        /// <summary>
        /// 培训记录Id
        /// </summary>
        [Description("培训记录Id")]
        public string TrainRecordId { get; set; }

        /// <summary>
        /// 试题选项Id
        /// </summary>
        [Description("试题选项Id")]
        public string QuestionOptionId { get; set; }
    }
}
