﻿using Exam.Application.Interface.Questions;
using Hotline.Share.Dtos.Questions;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace Hotline.Api.Controllers.Exam
{
    public class QuestionController : BaseController
    {
        private readonly IQuestionService _questionService;
        public QuestionController(IQuestionService questionService)
        {
            _questionService = questionService;
        }

        [HttpPost]
        [AllowAnonymous]
        public async Task Add([FromBody] QuestionDto questionDto)
        {
            await _questionService.AddAsync(questionDto, HttpContext.RequestAborted);
        }
    }
}
