﻿
using Exam.Share.Dtos.Trains;
using Exam.Share.ViewResponses.Train;
using Exam.Trains;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.Trains;
using Hotline.Share.Requests.Train;

namespace Exam.Application.Interface.Train
{
    public interface ITrainRecordService:IQueryService<TrainRecordViewResponse,TrainRecordDto,TrainRecordPagedRequest>,IApiService<TrainRecordDto,TrainRecord>
    {
        /// <summary>
        /// 结束培训
        /// </summary>
        /// <param name="completeTrainRecordDto"></param>
        /// <returns></returns>
        Task CompleteTrainRecordAsync(CompleteTrainRecordDto completeTrainRecordDto);
    }
}
