﻿using Exam.Infrastructure.Data.Entity;
using Hotline.Share.Dtos.Questions;
using System.ComponentModel;

namespace Exam.Share
{
    /// <summary>
    /// 用户考试明细
    /// </summary>
    [Description("用户考试明细")]
    public class UserExamItemDto : ActionRequest
    {
        /// <summary>
        /// 用户考试Id
        /// </summary>
        [Description("用户考试Id")]
        public string UserExamId { get; set; }

        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 试题
        /// </summary>
        [Description("试题")]
        public QuestionDto Question { get; set; }
    }
}
