﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Questions
{
    /// <summary>
    /// 试题选项
    /// </summary>
    [Description("试题选项")]
    public class QuestionOptionsDto:ActionRequest
    {
        /// <summary>
        /// 选项内容
        /// </summary>
        [Description("选项内容")]
        public string Content { get; set; }

        /// <summary>
        /// 是否答案
        /// </summary>
        [Description("是否答案")]
        public bool IsAnswer { get; set; }

        /// <summary>
        /// 试题
        /// </summary>
        [Description("试题")]
        public string QuestionId { get; set; }
    }
}
