﻿using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Exam.Practices
{
    /// <summary>
    /// 练习题目
    /// </summary>
    [Description("练习题目")]
    public class PracticeQuestion:BusinessEntity
    {
        /// <summary>
        /// 练习Id
        /// </summary>
        [SugarColumn(ColumnDescription ="练习Id")]
        [Description("练习Id")]
        public string PracticeId { get; set; }

        /// <summary>
        /// 试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="试题Id")]
        [Description("试题Id")]
        public string QuestionId { get; set; }
    }
}
