﻿using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Exam.TestPapers
{
    /// <summary>
    /// 人工组卷试题
    /// </summary>
    [Description("人工组卷试题")]
    public class TestPaperItem:BusinessEntity
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="试题Id")]
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 试卷Id
        /// </summary>
        [SugarColumn(ColumnDescription = "试卷Id")]
        [Description("试卷Id")]
        public string TestPaperItemId { get; set; }
    }
}
